<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/
##Импорт файла
login();

$direktor = abs(intval($_GET['id']));
$count = $db->super_query("SELECT COUNT(*) as count FROM `load_dir` WHERE `id` = '".$direktor."'");

if (!isset($_GET['id']) || isset($_GET['id']) && $direktor != 0 && $count['count'] == 0)
{
    header('location: '.HOME.'/down/');
    exit();
}

$dir['id'] = '0';
$dir['id_dir'] = '0';
$dir['name'] = 'Загрузки';
$dir['files'] = '0';

if (isset($_GET['id']))
{
    $dir = $db->super_query("SELECT * FROM `load_dir` WHERE id = '".$direktor."' LIMIT 1");
}

if ($dir['files'] != 1)
{
    header('location: '.HOME.'/down/');
    exit();
}

if ($user['level'] <= 0 && $dir['us_access'] == 0)
    err($title, 'В данную папку файлы может загружать только администрация!');

echo '<div class="title"><a href="'.HOME.'/down/">Загрузки</a> | Импорт файла</div>';

if (isset($_REQUEST['submit']))
{
    $opis = strong($_POST['opis']);
    $name = strong($_POST['name']);
    $url = strong($_POST['url']);

    if (empty($name))
        err('Введите название файла!');

    if (mb_strlen($name) < 3)
        err('Минимум для ввода 3 символа!');

    if (empty($opis))
        err('Введите описание файла!');

    if (mb_strlen($opis) < 3)
        err('Минимум для ввода 3 символа!');

    /* Проверка на существование файла */
    if (!@fopen($url, 'r'))
        err('Файл не найден!');

    $gh = get_headers($url, 1);
    $maxsize = $settings['maxsize']; // Максимальный размер файла,в мегабайтах
    $size = $gh['Content-Length']; // Вес файла

    /* Максимальный размер 1мб */
    if ($size > (1048576 * $maxsize))
        err('Максимальный размер файла '.$maxsize.'мб!');

    $info_url = pathinfo($url);
    $filetype = array(
        'jpg',
        'gif',
        'png',
        'jpeg',
        '3gp',
        'mp4',
        'mp3',
        'flv',
        'zip',
        'rar');

    /* Если тип файла не подходит */
    if (!in_array($info_url['extension'], $filetype))
    {
        header('location: '.HOME.'/down/');
        exit();
    }

    $files = $_SERVER['HTTP_HOST'].'_'.rand(1234, 5678).'_'.rand(1234, 5678).'.'.$info_url['extension'];

    if (!copy($url, '../files/down/'.$files.''))
        err('Ошибка при импорте!');

    ##добавляем юзеру стронгов и рейтинг
    $db->query("UPDATE `users` SET `money` = '".($user['money'] + $settings['forum_tem_m'])."', `rating` = '".($user['rating'] + 0.01)."' WHERE `id` = '".$user['id']."' LIMIT 1");
    $db->query("INSERT INTO `load_file` SET `avtor` = '".$user['id']."', `time` = '".TIME."', `id_dir` = '".$dir['id']."', `name` = '".$name."', `format` = '".$info_url['extension']."', `about` = '".$opis."', `url` = '".$dir['url']."/".$dir['id']."', `files` = '".$files."', `mod` = '".$settings['load_mod']."'");
    $insert = $db->insert_id();
    header('Location: '.HOME.'/down/file'.$insert);
    exit;
}

echo '<div class="podmenu"><form action="" method="POST"> 
*Название:<br /><input type="text" name="name" maxlength="50" /><br />
*Описание:<br /><textarea name="opis"></textarea><br />
*URL:<br /><input type="text" name="url" /><br />
<input type="submit" name="submit" value="Загрузить">
</form></div>';

echo '<a href="'.HOME.'/down" class="menudiv">» В загрузки</a>';

?>